## feathernotes 0.10.0

=== CMakeLists.txt ===
project(feathernotes)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(HAIKU)
    set(CMAKE_INSTALL_PREFIX "/boot/home/config/non-packaged/apps/FeatherNotes")
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications")
  elseif(UNIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
  elseif(OS2)
    set(CMAKE_INSTALL_PREFIX "/@unixroot/usr/")
  endif()
endif()

option(WITH_HUNSPELL "Compiling with Hunspell..." ON)
option(WITHOUT_X11 "Compiling without X11..." OFF)
# OS/2 never has X11
if (OS2)
  option(WITHOUT_X11 "Compiling without X11..." ON)
endif()

add_subdirectory(feathernotes)

=== feathernotes/CMakeLists.txt ===
set(QT_MINIMUM_VERSION "5.12.0")
set(HUNSPELL_MINIMUM_VERSION "1.6")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# OS/2 needs an additional lib
if(OS2)
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
endif()

find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Gui "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Svg "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Xml "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Network "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5PrintSupport "${QT_MINIMUM_VERSION}" REQUIRED)

if(WITH_HUNSPELL)
# for spell checking (see FindHUNSPELL.cmake)
  find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
endif()

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)
  find_package(X11 REQUIRED)
endif()

# optional localization
find_package(Qt5LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS}
                    ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Svg_INCLUDE_DIRS}
                    ${Qt5Xml_INCLUDE_DIRS}
                    ${Qt5Network_INCLUDE_DIRS}
                    ${Qt5PrintSupport_INCLUDE_DIRS})

if(WITH_HUNSPELL)
  include_directories(${include_directories} ${HUNSPELL_INCLUDE_DIRS})
  add_definitions(-DHAS_HUNSPELL)
endif()

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  include_directories(${include_directories}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
  add_definitions(-DHAS_X11)
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(UNIX OR OS2)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(feathernotes_SRCS
    main.cpp
    colorLabel.cpp
    fn.cpp
    find.cpp
    domitem.cpp
    dommodel.cpp
    lineedit.cpp
    pref.cpp
    textedit.cpp
    simplecrypt.cpp
    vscrollbar.cpp
    svgicons.cpp)

if(WITH_HUNSPELL)
  set(feathernotes_SRCS ${feathernotes_SRCS} spellChecker.cpp spellDialog.cpp)
endif()

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(feathernotes_SRCS ${feathernotes_SRCS} x11.cpp)
endif()

set(feathernotes_RESOURCES data/fn.qrc)
set(DESKTOP_FILE data/feathernotes.desktop)
set(METAINFO_FILE data/feathernotes.metainfo.xml)
set(XML_FILE data/feathernotes.xml)
if(NOT OS2)
  set(ICON_FILE data/feathernotes.svg)
  set(MIME_ICON_FILE data/text-feathernotes-fnx.svg)
else()
  enable_language(RC)
  set_source_files_properties(data/feathernotes_os2.rc PROPERTIES LANGUAGE RC)
  set(feathernotes_SRCS ${feathernotes_SRCS} data/feathernotes_os2.rc)
endif()

if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
  qt5_wrap_cpp(EXTRA_HEADERS messagebox.h filedialog.h help.h settings.h treeview.h)
else()
  set(EXTRA_HEADERS messagebox.h filedialog.h help.h settings.h treeview.h)
endif()

# translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/feathernotes_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(feathernotes ${feathernotes_SRCS} ${feathernotes_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
  elseif(APPLE)
    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
  elseif(UNIX OR OS2)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/feathernotes/translations")
  endif()
else(Qt5LinguistTools_FOUND)
  add_executable(feathernotes ${feathernotes_SRCS} ${feathernotes_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)

target_link_libraries(feathernotes ${Qt5Core_LIBRARIES}
                                   ${Qt5Gui_LIBRARIES}
                                   ${Qt5Widgets_LIBRARIES}
                                   ${Qt5Svg_LIBRARIES}
                                   ${Qt5Xml_LIBRARIES}
                                   ${Qt5Network_LIBRARIES}
                                   ${Qt5PrintSupport_LIBRARIES})

if(WITH_HUNSPELL)
  target_link_libraries(feathernotes ${HUNSPELL_LIBRARIES})
endif()

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  target_link_libraries(feathernotes ${Qt5X11Extras_LIBRARIES}
                                     ${X11_LIBRARIES})
endif()

# installation
if(HAIKU)
  install(TARGETS feathernotes RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(APPLE)
  SET_TARGET_PROPERTIES(feathernotes PROPERTIES MACOSX_BUNDLE TRUE)
  INSTALL(TARGETS feathernotes DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(UNIX)
  install(TARGETS feathernotes RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
  install(FILES ${XML_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/mime/packages")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${MIME_ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/mimetypes")
elseif(OS2)
  SET_TARGET_PROPERTIES(feathernotes PROPERTIES OS2_DEF_EXEType "WINDOWAPI")
  install(TARGETS feathernotes RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif()

## feathernotes 0.4.5

=== debian/changelog ===
feathernotes (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #904224)

 -- Alf Gaida <agaida@siduction.org>  Sat, 15 Sep 2018 17:55:09 +0200

=== debian/control ===
Source: feathernotes
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 11~),
               qtbase5-dev,
               qt5-qmake,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes


Package: feathernotes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qttranslations5-l10n,
            libglib2.0-bin
Description: Hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.

## feathernotes 0.4.6

=== debian/changelog ===
feathernotes (0.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:00:52 +0800

feathernotes (0.4.6-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.4.6.
  * Bumped standards to 4.3.0, no changes needed
  * Removed debhelper and compat, use debhelper (= 12) instead, no further
    changes needed 
  * Bumped copyright years

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 03:09:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Alf Gaida <agaida@siduction.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
                qt5-qmake,
                libx11-dev,
@@ -12,7 +12,7 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: qttranslations5-l10n,
+Recommends: feathernotes-l10n,
             libglib2.0-bin
 Description: Hierarchical notes-manager (binaries)
  FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is

## feathernotes 0.5.1

=== debian/changelog ===
feathernotes (0.5.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:56 +0100

feathernotes (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:19:25 +0100

feathernotes (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
  * Bumped Standards-Version to 4.4.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 06 Jan 2020 17:50:53 +0100

feathernotes (0.4.6-2) unstable; urgency=medium

  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Adding upstream version 0.4.5.
  * Adding upstream version 0.4.6.

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Aug 2019 01:42:28 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes

## feathernotes 0.7.0

=== debian/changelog ===
feathernotes (0.7.0-0.1~mx19+1) mx; urgency=medium

  * New upstream version:
    - Focus the visible unfocused search bar on activating its action.
    - Handle relative file paths correctly.
    - Overrode Qt's default behavior with the Home key.
    - Added optional spell checking with Hunspell, that can be enabled at
      compilation time.
    - Update the transparent side-pane's palette if the style changes in runtime.
    - Made some strings translatable.
    - Fixed a potential issue in translations.
    - Fixed a rare case of halted auto-saving.
    - Added a workaround for an old Qt bug, because of which, QTimer may not
      work after resuming from suspend or hibernation.
    - Give focus to text-edit/side-pane with Escape.
    - Don't let custom shortcuts be read from global config files.
    - Yet smarter Shift+Enter with alphabetical lists.

  * Drop unnecessary qtmake-qt5 build-depend.
  * Added build dependency libhunspell-dev.
  * Add myspell-en-us | hunspell-dictionary | myspell-dictionary as dependency.
  * Extend the long description to include features.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 14:27:49 -0700

=== debian/control ===
Source: feathernotes
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libhunspell-dev (>= 1.6),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxext-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes

Package: feathernotes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, 
         feathernotes-l10n, libglib2.0-bin,
         myspell-en-us | hunspell-dictionary | myspell-dictionary
Description: hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt5 hierarchical notes manager for Linux. It is
 independent of any desktop environment.
 .
 Features:
 - Support for rich text formatting, image embedding and inserting
   editable tables;
 - Drag-and-drop capability for moving nodes and also for embedding images;
 - Optional tray icon for quick access on any desktop;
 - Correct position/size saving and restoring with most window managers;
 - Compact but complete search and replacement widgets;
 - The ability to include searchable tags (hidden info on each node);
 - Support for optional node icons;
 - Support for local and remote hyperlinks (bookmarks);
 - Text zooming;
 - Printing and exporting to HTML and PDF;
 - Password protection;
 - Auto-saving
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}, ${shlibs:Depends}
Description: hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt5 hierarchical notes manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## feathernotes 0.8.0

=== debian/changelog ===
feathernotes (0.8.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * debian/control - add libhunspell for spell checking.

 -- SwampRabbit <swamrabbit@mxlinux.org>  Sun, 24 Jan 2021 13:28:40 -0500

feathernotes (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 21:34:32 +0800

=== debian/control ===
Source: feathernotes
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev,
               qt5-qmake,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               libhunspell-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes


Package: feathernotes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhunspell-1.7-0
Recommends: feathernotes-l10n,
            libglib2.0-bin
Description: Hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 %:
 	dh ${@} --buildsystem=qmake
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## feathernotes 0.10.0

=== debian/changelog ===
feathernotes (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * debian/feathernotes.install: ship feathernotes.metainfo.xml file.
  * Update debian/copyright file.
  * debian/rules: avoid explicitly specifying -Wl,--as-needed linker flag.
  * debian/rules: drop --fail-missing argument which is now the default.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 16 Jul 2022 05:03:22 +0800

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=qmake

## feathernotes 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
   endif()
 endif()
 
+option(ENABLE_QT5 "Building Qt5 plugin." ON)
 option(WITH_HUNSPELL "Compiling with Hunspell..." ON)
 option(WITHOUT_X11 "Compiling without X11..." OFF)
 # OS/2 never has X11

=== feathernotes/CMakeLists.txt ===
set(QT5_MINIMUM_VERSION "5.15.0")
set(QT6_MINIMUM_VERSION "6.3.0")
set(HUNSPELL_MINIMUM_VERSION "1.6")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

# OS/2 needs an additional lib
if(OS2)
  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
endif()

if(NOT ENABLE_QT5)
  set(QT_VERSION_MAJOR 6)
  find_package(Qt6 "${QT6_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg Xml Network PrintSupport DBus)
else()
  set(QT_VERSION_MAJOR 5)
  find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS Core Gui Widgets Svg Xml Network PrintSupport DBus)
endif()

if(WITH_HUNSPELL)
# for spell checking (see FindHUNSPELL.cmake)
  find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
endif()

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  if(QT_VERSION_MAJOR EQUAL 5)
    find_package(Qt5 "${QT5_MINIMUM_VERSION}" REQUIRED COMPONENTS X11Extras)
  endif()
  find_package(X11 REQUIRED)
endif()

# optional localization
find_package(Qt${QT_VERSION_MAJOR} QUIET COMPONENTS LinguistTools)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(QT_VERSION_MAJOR EQUAL 6)
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt6Core_INCLUDE_DIRS}
                      ${Qt6Gui_INCLUDE_DIRS}
                      ${Qt6Widgets_INCLUDE_DIRS}
                      ${Qt6Svg_INCLUDE_DIRS}
                      ${Qt6Xml_INCLUDE_DIRS}
                      ${Qt6Network_INCLUDE_DIRS}
                      ${Qt6PrintSupport_INCLUDE_DIRS}
                      ${Qt6DBus_INCLUDE_DIRS})
else()
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5Xml_INCLUDE_DIRS}
                      ${Qt5Network_INCLUDE_DIRS}
                      ${Qt5PrintSupport_INCLUDE_DIRS}
                      ${Qt5DBus_INCLUDE_DIRS})
endif()

if(WITH_HUNSPELL)
  include_directories(${include_directories} ${HUNSPELL_INCLUDE_DIRS})
  add_definitions(-DHAS_HUNSPELL)
endif()

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  if(QT_VERSION_MAJOR EQUAL 6)
    include_directories(${include_directories}
                        ${X11_INCLUDE_DIR})
  else()
    include_directories(${include_directories}
                        ${Qt5X11Extras_INCLUDE_DIRS}
                        ${X11_INCLUDE_DIR})
  endif()
  add_definitions(-DHAS_X11)
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(UNIX OR OS2)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(feathernotes_SRCS
    main.cpp
    singleton.cpp
    signalDaemon.cpp
    colorLabel.cpp
    fn.cpp
    find.cpp
    domitem.cpp
    dommodel.cpp
    lineedit.cpp
    pref.cpp
    textedit.cpp
    simplecrypt.cpp
    vscrollbar.cpp
    printing.cpp
    svgicons.cpp)

if(WITH_HUNSPELL)
  set(feathernotes_SRCS ${feathernotes_SRCS} spellChecker.cpp spellDialog.cpp)
endif()

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(feathernotes_SRCS ${feathernotes_SRCS} x11.cpp)
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  qt6_add_dbus_adaptor(feathernotes_DBUS_SRCS
      org.feathernotes.Application.xml
      singleton.h
      FeatherNotes::FNSingleton
      feathernotesadaptor
      FeatherNotesAdaptor
  )
else()
  qt5_add_dbus_adaptor(feathernotes_DBUS_SRCS
      org.feathernotes.Application.xml
      singleton.h
      FeatherNotes::FNSingleton
      feathernotesadaptor
      FeatherNotesAdaptor
  )
endif()

set(feathernotes_RESOURCES data/fn.qrc)
set(DESKTOP_FILE data/feathernotes.desktop)
set(METAINFO_FILE data/feathernotes.metainfo.xml)
set(XML_FILE data/feathernotes.xml)
if(NOT OS2)
  set(ICON_FILE data/feathernotes.svg)
  set(MIME_ICON_FILE data/text-feathernotes-fnx.svg)
else()
  enable_language(RC)
  set_source_files_properties(data/feathernotes_os2.rc PROPERTIES LANGUAGE RC)
  set(feathernotes_SRCS ${feathernotes_SRCS} data/feathernotes_os2.rc)
endif()

if(QT_VERSION_MAJOR EQUAL 6)
  set(EXTRA_HEADERS warningbar.h spinbox.h messagebox.h filedialog.h help.h settings.h treeview.h treedelegate.h)
else()
  if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
    qt5_wrap_cpp(EXTRA_HEADERS warningbar.h spinbox.h messagebox.h filedialog.h help.h settings.h treeview.h treedelegate.h)
  else()
    set(EXTRA_HEADERS warningbar.h spinbox.h messagebox.h filedialog.h help.h settings.h treeview.h treedelegate.h)
  endif()
endif()

# translations
if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/feathernotes_*.ts)
  if(QT_VERSION_MAJOR EQUAL 6)
    qt6_add_translation(QM_FILES ${TS_FILES})
  else()
    qt5_add_translation(QM_FILES ${TS_FILES})
  endif()
  add_executable(feathernotes ${feathernotes_SRCS} ${feathernotes_DBUS_SRCS} ${feathernotes_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
  elseif(APPLE)
    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
  elseif(UNIX OR OS2)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/feathernotes/translations")
  endif()
else(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
  add_executable(feathernotes ${feathernotes_SRCS} ${feathernotes_DBUS_SRCS} ${feathernotes_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)

if(QT_VERSION_MAJOR EQUAL 6)
  target_link_libraries(feathernotes ${Qt6Core_LIBRARIES}
                                     ${Qt6Gui_LIBRARIES}
                                     ${Qt6Widgets_LIBRARIES}
                                     ${Qt6Svg_LIBRARIES}
                                     ${Qt6Xml_LIBRARIES}
                                     ${Qt6Network_LIBRARIES}
                                     ${Qt6PrintSupport_LIBRARIES}
                                     ${Qt6DBus_LIBRARIES})
else()
  target_link_libraries(feathernotes ${Qt5Core_LIBRARIES}
                                     ${Qt5Gui_LIBRARIES}
                                     ${Qt5Widgets_LIBRARIES}
                                     ${Qt5Svg_LIBRARIES}
                                     ${Qt5Xml_LIBRARIES}
                                     ${Qt5Network_LIBRARIES}
                                     ${Qt5PrintSupport_LIBRARIES}
                                     ${Qt5DBus_LIBRARIES})
endif()

if(WITH_HUNSPELL)
  target_link_libraries(feathernotes ${HUNSPELL_LIBRARIES})
endif()

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  if(QT_VERSION_MAJOR EQUAL 6)
    target_link_libraries(feathernotes ${X11_LIBRARIES})
  else()
    target_link_libraries(feathernotes ${Qt5X11Extras_LIBRARIES}
                                       ${X11_LIBRARIES})
  endif()
endif()

# installation
if(HAIKU)
  install(TARGETS feathernotes RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(APPLE)
  SET_TARGET_PROPERTIES(feathernotes PROPERTIES MACOSX_BUNDLE TRUE)
  INSTALL(TARGETS feathernotes DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(UNIX)
  install(TARGETS feathernotes RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
  install(FILES ${XML_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/mime/packages")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${MIME_ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/mimetypes")
elseif(OS2)
  SET_TARGET_PROPERTIES(feathernotes PROPERTIES OS2_DEF_EXEType "WINDOWAPI")
  install(TARGETS feathernotes RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif()

=== debian/changelog ===
feathernotes (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
    * Add Rules-Requires-Root: no.
  * Bump compat to 13.
  * Update d/watch to verify tarball signature.
  * Add ChangZhuo Chen (陳昌倬) as uploader.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 24 Dec 2022 12:18:29 +0800

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: feathernotes
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               qtbase5-dev,
-               qt5-qmake,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libhunspell-dev,
+               libqt5svg5-dev,
+               libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
-               libqt5x11extras5-dev,
-               libqt5svg5-dev,
+               pkg-config,
+               qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-               libhunspell-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes
-
+Rules-Requires-Root: no
 
 Package: feathernotes
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libhunspell-1.7-0
+         ${misc:Depends}
 Recommends: feathernotes-l10n,
             libglib2.0-bin
 Description: Hierarchical notes-manager (binaries)

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/([vV]?(\d[\d.]+))@ARCHIVE_EXT@/releases\/download\/$1\/FeatherNotes-$2\.tar\.xz/,filenamemangle=s/@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/FeatherNotes/tags .*/[vV]?(\d[\d.]+)@ARCHIVE_EXT@

## feathernotes 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 3.5.0)
 project(feathernotes)
-cmake_minimum_required(VERSION 3.0)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions(-Wall)

=== feathernotes/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,10 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
-# OS/2 needs an additional lib
-if(OS2)
+if(HAIKU)
+  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lnetwork")
+elseif(OS2)
+  # OS/2 needs an additional lib
   set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
 endif()

=== debian/changelog ===
feathernotes (1.1.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:40 +1100

feathernotes (1.1.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:21:47 +0000

feathernotes (1.1.1-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * debian/lintian-overrides: update.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Sep 2023 23:59:17 +0800

feathernotes (1.1.0-2) unstable; urgency=medium

  * debian/control: update team address.
  * debian/copyright: update
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/salsa-ci.yml: added.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 14:17:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: feathernotes
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>

## feathernotes 1.3.0

=== debian/changelog ===
feathernotes (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add DONG XU as an uploader.

 -- DONG XU <me@eipi.fun>  Sat, 03 Aug 2024 11:06:37 +0900

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: feathernotes
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           DONG XU <me@eipi.fun>
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libhunspell-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               qt6-svg-dev,
                libx11-dev,
                libxext-dev,
-               pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev,
+               qt6-tools-dev,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
 Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
 Homepage: https://github.com/tsujan/feathernotes

## feathernotes 1.3.1

=== debian/changelog ===
feathernotes (1.3.1-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 1.3.1.
  * Import upstream tarball with upstream signature to fix lintian warning.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * debian/gbp.conf: let debhelper to handle compression.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Mar 2025 13:46:08 +0100

feathernotes (1.3.0-1) unstable; urgency=medium

  * Import debian version 1.3.0-1~exp1 from experimental.
  * debian/control: drop Qt versioning in descriptions.
  * debian/control: depends on qt6-translations-l10n.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.
  * debian/control: drop build-depends on libx11-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 07 Dec 2024 08:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: feathernotes
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
+Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            DONG XU <me@eipi.fun>
 Section: editors
@@ -10,7 +9,6 @@
                cmake,
                libhunspell-dev,
                qt6-svg-dev,
-               libx11-dev,
                libxext-dev,
                pkgconf,
                qt6-base-dev,
@@ -28,7 +26,7 @@
 Recommends: feathernotes-l10n,
             libglib2.0-bin
 Description: Hierarchical notes-manager (binaries)
- FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
+ FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
  independent of any desktop environment.
  .
  This package contain the application files.
@@ -38,9 +36,9 @@
 Section: localization
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         qttranslations5-l10n
+         qt6-translations-l10n
 Description: Hierarchical notes-manager (localization)
- FeatherNotes is a lightweight Qt5 hierarchical notes-manager for Linux. It is
+ FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
  independent of any desktop environment.
  .
  This package contain the localization files.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 6
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem=cmake

## feathernotes 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.10.0)
 project(feathernotes)
 set(CMAKE_BUILD_TYPE Release)
 add_definitions(-Wall)
@@ -15,7 +15,6 @@
   endif()
 endif()
 
-option(ENABLE_QT5 "Building Qt5 plugin." ON)
 option(WITH_HUNSPELL "Compiling with Hunspell..." ON)
 option(WITHOUT_X11 "Compiling without X11..." OFF)
 # OS/2 never has X11

=== debian/changelog ===
feathernotes (1.3.2-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 17:15:56 +0800

feathernotes (1.3.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.3.2. (Closes: #1096622)
  * debian/control: Added myself.
  * debian/copyright: Added myself.
  * Ran wrap-and-sort.

 -- Joel Orón Valiente <moded3v@gmail.com>  Mon, 14 Jul 2025 14:17:14 +0200

=== debian/control ===
Source: feathernotes
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           DONG XU <me@eipi.fun>,
           Joel Orón Valiente <moded3v@gmail.com>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libhunspell-dev,
               libxext-dev,
               pkgconf,
               qt6-base-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/feathernotes
Vcs-Git: https://salsa.debian.org/lxqt-team/feathernotes.git
Homepage: https://github.com/tsujan/feathernotes
Rules-Requires-Root: no

Package: feathernotes
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: feathernotes-l10n, libglib2.0-bin
Description: Hierarchical notes-manager (binaries)
 FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the application files.

Package: feathernotes-l10n
Architecture: all
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}, ${shlibs:Depends}
Description: Hierarchical notes-manager (localization)
 FeatherNotes is a lightweight Qt hierarchical notes-manager for Linux. It is
 independent of any desktop environment.
 .
 This package contain the localization files.

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/([vV]?@ANY_VERSION@)@ARCHIVE_EXT@/releases\/download\/$1\/FeatherNotes-$2\.tar\.xz/,filenamemangle=s/@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/tsujan/FeatherNotes/tags .*/[vV]?@ANY_VERSION@@ARCHIVE_EXT@
